## click 0.5.2

=== debian/changelog ===
click (0.5.2-2ubuntu4) noble; urgency=medium

  * Fix preload path harder.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Apr 2024 04:32:56 +0000

click (0.5.2-2ubuntu3) noble; urgency=medium

  * d/p/lp2058769-*: Fix up the multiarch path computation

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 02 Apr 2024 10:50:12 +0200

click (0.5.2-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:49:45 +0000

click (0.5.2-2ubuntu1) noble; urgency=medium

  * Fix the preload path on non-amd64 architectures (LP: #2058769)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 27 Mar 2024 14:26:04 +0100

click (0.5.2-2) unstable; urgency=medium

  * debian/control:
    + Drop python3-mock. (Closes: #1067244).
    + Drop from B-D: python3-pep8.
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Mar 2024 21:04:50 +0100

click (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1001_fully-adjust-DEFAULT_ROOT-if-set-via-configure-option.patch.
    + Drop 0003_Drop-remaining-translation-bits.patch. Applied upstream.
    + Drop 1011_fix-home-dir-in-integration-test.patch. Accepted upstream.
    + Drop 1013_pyflakes-fixes.patch. Accepted upstream.
    + Drop 0001_Re-enable-some-tests-that-were-skipped-due-to-CI-iss.patch.
      Applied upstream.
    + Drop 0002_Require-dbus.service-for-click-user-hooks.service.patch.
      Applied upstream.
    + Drop 1016_drop-chroot-integration-tests-deprecated-upstream.patch and
      1017_drop_chroot-tests-deprecated-upstream.patch. Both accepted upstream.
    + Drop 1019a_reenable-user-tests.patch. Accepted upstream.
    + Drop 1019b_reenable-install-tests.patch. Accepted upstream.
    + Drop 0004_fix-pyversion-check.patch. Applied (differently) upstream.
    + Drop 0006_Fix-crash-on-ppc64el.patch. Applied upstream.
    + Drop 0001-preload-passwd-pw_name-is-required-by-tar.patch. Applied
      upstream.
    + Drop 1004_skip-test-ensure-ownership-quick-if-correct.patch. Not required
      anymore.
    + Add 1015_drop-using-six.patch. Stop using deprecated python3-six. (Closes:
      #1064608).
    + Add 1016_dont-ship-tests-in-python3-click-package.patch. Make build
      reproducible. (Closes: #1027988).
    + Trivially rebase patches 1005 and 1010.
    + Add 2002_skip-framework-integration-tests.patch. Ignore .placeholder file
      in /usr/share/click/frameworks/ during unit tests.
  * debian/control:
    + Add to B-D: libproperties-cpp-dev.
    + Add to B-D: dbus-test-runner.
    + In B-D, switch from gobject-introspection to gobject-introspection-bin.
      Thanks, lintian.
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.
    + Switch from gobject-introspection to gobject-introspection-bin. Thanks,
      lintian.
    + Make bin:pkg python3-click-package arch:all.
  * debian/:
    + Add new bin:pkg click-service.
  * debian/rules:
    + Create .placeholder file in /usr/share/click/frameworks/. Thanks,
      lintian.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Rewrite copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Mar 2024 09:04:17 +0100

click (0.5.0-11) unstable; urgency=medium

  * debian/patches:
    + Trivially rebase 0001-preload-passwd-pw_name-is-required-by-tar.patch.
  * debian/rules:
    + Whitespace fix.
    + Strip hardening flag -Werror=implicit-function-declaration. (Closes:
      #1066308).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 13 Mar 2024 15:00:47 +0100

click (0.5.0-10) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches: Modify 1020_run-sphinx-build-with-LANG-C.patch,
    use LC_ALL instead of LANG.
  * debian/watch: Amend watch URL.

  [ Marius Gripsgard ]
  * debian/control: Use my debian email
  * debian/patches: Add patch to fix crash in preload (Closes: #1059801)
    (Closes: #1061010)

 -- Marius Gripsgard <mariogrip@debian.org>  Tue, 30 Jan 2024 00:40:42 +0100
