=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/click/-/tags .*/click-(\d\S+)\.tar\.gz
